%define upstream_name    Dist-Zilla-Plugin-Rsync
%define upstream_version 0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Dist::Zilla plugin to upload using rsync
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CLASS)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moose)
BuildRequires: perl(Module::Build)
BuildArch: noarch


%description
The 'where' config key is required. The 'options' default to '-e ssh'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-9.mga8
+ Revision: 1494396
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.100.0-8.mga7
+ Revision: 1267560
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-7.mga6
+ Revision: 1026572
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.100.0-6.mga6
+ Revision: 946564
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 743872
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 511118
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 366424
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 40578
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Rsync

